import request from '@/utils/request'

//机械通风列表
export function getList(data) {
    return request({
      url: `csc-szls-business/ventilation/processAudit/getPage`,
      method: 'post',
      data
    })
  }



  //新增时初始化页面数据
  export function getAddList(type) {
    return request({
      url: `csc-szls-business/ventilation/processMain/getAllProcess/${type}`,
      method: 'get',
    
    })
  }  

  //流程新增接口
  export function addList(data) {
    return request({
      url: `csc-szls-business/ventilation/processAudit/add`,
      method: 'post',
      data
    })
  }


  

  //流程数据
  export function getProcessList(type,userId,depotId) {
    return request({
      url: `csc-szls-business/ventilation/processBasis/getBasisByType/${type}/${userId}/${depotId}`,
      method: 'get',
    
    })
  }



  //删除按钮
  export function deleteTfList(id) {
    return request({
      url: `/csc-szls-business/ventilation/processAudit/deleteById/${id}`,
      method: 'get',
    
    })
  }


  //用户字典列表
  export function userList(params) {
    return request({
      url: `/csc-szls-system-manage/user/authority/getAll`,
      method: 'get',
      params
    })
  }

//查看接口

export function checkList(processId) {
  return request({
    url: `/csc-szls-business/ventilation/processAudit/getDataByProcessId/${processId}`,
    method: 'get',
   
  })
}


//步骤修改接口
export function updateList(data) {
  return request({
    url: `/csc-szls-business/ventilation/processAudit/detailsAdd`,
    method: 'post',
    data
  })
}

